## ros-humble-generate-parameter-library 0.3.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(generate_parameter_library NONE)

# find dependencies
find_package(ament_cmake REQUIRED)

install(
  DIRECTORY cmake
  DESTINATION share/generate_parameter_library
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_cpplint_FOUND TRUE) # Conflicts with clang-foramt
  set(ament_cmake_flake8_FOUND TRUE) # Conflicts with black
  set(ament_cmake_uncrustify_FOUND TRUE) # Conflicts with clang-format
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "generate_parameter_library-extras.cmake"
)

=== debian/changelog ===
ros-humble-generate-parameter-library (0.3.6-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 31 Jul 2023 06:00:00 -0000

ros-humble-generate-parameter-library (0.3.5-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Jul 2023 06:00:00 -0000

ros-humble-generate-parameter-library (0.3.4-1jammy) jammy; urgency=high

  * Add Python support for generate_parameter_library (#110 <https://github.com/PickNikRobotics/generate_parameter_library/issues/110>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 24 Jul 2023 06:00:00 -0000

ros-humble-generate-parameter-library (0.3.3-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 13 Apr 2023 06:00:00 -0000

ros-humble-generate-parameter-library (0.3.2-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 12 Apr 2023 06:00:00 -0000

ros-humble-generate-parameter-library (0.3.1-1jammy) jammy; urgency=high

  * Add keyword INTERFACE to fix build error 'ar: no archive members specified' since the generated target is header-only (#93 <https://github.com/PickNikRobotics/generate_parameter_library/issues/93>)
  * Make it easy for users to override (#92 <https://github.com/PickNikRobotics/generate_parameter_library/issues/92>)
  * Contributors: Tyler Weaver, light-tech

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 01 Feb 2023 07:00:00 -0000

ros-humble-generate-parameter-library (0.3.0-1jammy) jammy; urgency=high

  * Migrate from parameter_traits to RSL (take 2) (#91 <https://github.com/PickNikRobotics/generate_parameter_library/issues/91>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 15 Nov 2022 07:00:00 -0000

ros-humble-generate-parameter-library (0.2.8-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 03 Nov 2022 06:00:00 -0000

ros-humble-generate-parameter-library (0.2.7-1jammy) jammy; urgency=high

  * Standardize cmake (#79 <https://github.com/PickNikRobotics/generate_parameter_library/issues/79>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 28 Oct 2022 06:00:00 -0000

ros-humble-generate-parameter-library (0.2.6-1jammy) jammy; urgency=high

  * Depend on python package (#75 <https://github.com/PickNikRobotics/generate_parameter_library/issues/75>)
  * Drop requirement for CMake to 3.16 (#73 <https://github.com/PickNikRobotics/generate_parameter_library/issues/73>)
  * Added -- for ros-args to find (#71 <https://github.com/PickNikRobotics/generate_parameter_library/issues/71>)
  * Contributors: Michael Wrock, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 28 Sep 2022 06:00:00 -0000

ros-humble-generate-parameter-library (0.2.5-1jammy) jammy; urgency=high

  * 🚀 Add cmake macros for using tests with example yaml files. 🤖 (#57 <https://github.com/PickNikRobotics/generate_parameter_library/issues/57>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Contributors: Denis Štogl

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 20 Sep 2022 06:00:00 -0000

ros-humble-generate-parameter-library (0.2.4-1jammy) jammy; urgency=high

  * 0.2.3
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 19 Aug 2022 06:00:00 -0000

ros-humble-generate-parameter-library (0.2.3-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Fri, 05 Aug 2022 06:00:00 -0000

ros-humble-generate-parameter-library (0.2.2-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 03 Aug 2022 06:00:00 -0000

ros-humble-generate-parameter-library (0.2.1-1jammy) jammy; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 02 Aug 2022 06:00:00 -0000

ros-humble-generate-parameter-library (0.2.0-1jammy) jammy; urgency=high

  * Fixed length arrays (#44 <https://github.com/PickNikRobotics/generate_parameter_library/issues/44>)
  * Change package name (#40 <https://github.com/PickNikRobotics/generate_parameter_library/issues/40>)
  * Cleaup cmake paths (#38 <https://github.com/PickNikRobotics/generate_parameter_library/issues/38>)
  * parameter validators interface library (#32 <https://github.com/PickNikRobotics/generate_parameter_library/issues/32>)
  * Support exporting parameter libraries (#28 <https://github.com/PickNikRobotics/generate_parameter_library/issues/28>)
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 01 Aug 2022 06:00:00 -0000

ros-humble-generate-parameter-library (0.1.0-1jammy) jammy; urgency=high

  * CMake to generate ROS parameter library.
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 27 Jul 2022 06:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-generate-parameter-library//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-generate-parameter-library 0.3.8

=== debian/changelog ===
ros-humble-generate-parameter-library (0.3.8-3bookworm) bookworm; urgency=high

  * use python_install_dir (#178 <https://github.com/PickNikRobotics/generate_parameter_library/issues/178>)
  * Update CMakeLists.txt (#173 <https://github.com/PickNikRobotics/generate_parameter_library/issues/173>)
  * Contributors: Christoph Fröhlich, Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 26 Mar 2024 16:00:00 -0000

ros-humble-generate-parameter-library (0.3.7-3bookworm) bookworm; urgency=high

  * Enable generate_parameter_module through ament_cmake_python (#161 <https://github.com/PickNikRobotics/generate_parameter_library/issues/161>)
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 11 Jan 2024 16:00:00 -0000

ros-humble-generate-parameter-library (0.3.6-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-generate-parameter-library (0.3.5-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 27 Jul 2023 16:00:00 -0000

ros-humble-generate-parameter-library (0.3.4-3bookworm) bookworm; urgency=high

  * Add Python support for generate_parameter_library (#110 <https://github.com/PickNikRobotics/generate_parameter_library/issues/110>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * Contributors: Paul Gesel

 -- Paul Gesel <paul.gesel@picknik.ai>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-generate-parameter-library (0.3.3-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 12 Apr 2023 16:00:00 -0000

ros-humble-generate-parameter-library (0.3.2-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 11 Apr 2023 16:00:00 -0000

ros-humble-generate-parameter-library (0.3.1-3bookworm) bookworm; urgency=high

  * Add keyword INTERFACE to fix build error 'ar: no archive members specified' since the generated target is header-only (#93 <https://github.com/PickNikRobotics/generate_parameter_library/issues/93>)
  * Make it easy for users to override (#92 <https://github.com/PickNikRobotics/generate_parameter_library/issues/92>)
  * Contributors: Tyler Weaver, light-tech

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 31 Jan 2023 16:00:00 -0000

ros-humble-generate-parameter-library (0.3.0-3bookworm) bookworm; urgency=high

  * Migrate from parameter_traits to RSL (take 2) (#91 <https://github.com/PickNikRobotics/generate_parameter_library/issues/91>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 14 Nov 2022 16:00:00 -0000

ros-humble-generate-parameter-library (0.2.8-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-generate-parameter-library (0.2.7-3bookworm) bookworm; urgency=high

  * Standardize cmake (#79 <https://github.com/PickNikRobotics/generate_parameter_library/issues/79>)
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-generate-parameter-library (0.2.6-3bookworm) bookworm; urgency=high

  * Depend on python package (#75 <https://github.com/PickNikRobotics/generate_parameter_library/issues/75>)
  * Drop requirement for CMake to 3.16 (#73 <https://github.com/PickNikRobotics/generate_parameter_library/issues/73>)
  * Added -- for ros-args to find (#71 <https://github.com/PickNikRobotics/generate_parameter_library/issues/71>)
  * Contributors: Michael Wrock, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 27 Sep 2022 16:00:00 -0000

ros-humble-generate-parameter-library (0.2.5-3bookworm) bookworm; urgency=high

  * 🚀 Add cmake macros for using tests with example yaml files. 🤖 (#57 <https://github.com/PickNikRobotics/generate_parameter_library/issues/57>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Contributors: Denis Štogl

 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 19 Sep 2022 16:00:00 -0000

ros-humble-generate-parameter-library (0.2.4-3bookworm) bookworm; urgency=high

  * 0.2.3
  * Contributors: Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 18 Aug 2022 16:00:00 -0000

ros-humble-generate-parameter-library (0.2.3-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Thu, 04 Aug 2022 16:00:00 -0000

ros-humble-generate-parameter-library (0.2.2-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 02 Aug 2022 16:00:00 -0000

ros-humble-generate-parameter-library (0.2.1-3bookworm) bookworm; urgency=high



 -- Paul Gesel <paul.gesel@picknik.ai>  Mon, 01 Aug 2022 16:00:00 -0000

ros-humble-generate-parameter-library (0.2.0-3bookworm) bookworm; urgency=high

  * Fixed length arrays (#44 <https://github.com/PickNikRobotics/generate_parameter_library/issues/44>)
  * Change package name (#40 <https://github.com/PickNikRobotics/generate_parameter_library/issues/40>)
  * Cleaup cmake paths (#38 <https://github.com/PickNikRobotics/generate_parameter_library/issues/38>)
  * parameter validators interface library (#32 <https://github.com/PickNikRobotics/generate_parameter_library/issues/32>)
  * Support exporting parameter libraries (#28 <https://github.com/PickNikRobotics/generate_parameter_library/issues/28>)
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Sun, 31 Jul 2022 16:00:00 -0000

ros-humble-generate-parameter-library (0.1.0-3bookworm) bookworm; urgency=high

  * CMake to generate ROS parameter library.
  * Contributors: Paul Gesel, Tyler Weaver

 -- Paul Gesel <paul.gesel@picknik.ai>  Tue, 26 Jul 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-generate-parameter-library
Section: misc
Priority: optional
Maintainer: Paul Gesel <paul.gesel@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-parameter-traits, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rclpy, ros-humble-rsl, ros-humble-tcb-span, ros-humble-tl-expected, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-generate-parameter-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, ros-humble-generate-parameter-library-py, ros-humble-parameter-traits, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rclpy, ros-humble-rsl, ros-humble-tcb-span, ros-humble-tl-expected, ros-humble-ros-workspace
Description: CMake to generate ROS parameter library.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-generate-parameter-library//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-generate-parameter-library//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-generate-parameter-library//opt/ros/humble/opt/generate_parameter_library/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
